REM Usage: ojpeg-to-pdf-ocr.bat New_Style_jpg_compression.tif out.pdf
REM Usage: ojpeg-to-pdf-ocr.bat ojpeg.tif out.pdf

SET InFile=%1
SET OutFile=%2

SET TempFolder=%TEMP%\_VeryPDFTemp

mkdir "%TempFolder%"
view32.dll "%InFile%" /extract=("%TempFolder%",jpg) /killmesoftly /closeslideshow

img2pdfnew.exe -ocr 1 -tsocr -colorimg 1 -bwimg 1 -linearize -dpi 1 -quality 75 -pdfa -title "Old Style jpg compression" -author "Scanned for Client Name" -subject "DD/MM/YYYY" -keywords "Machines calibrated daily to manufactures specifications" -credate "Desktop Imaging Ltd" "%TempFolder%\*.jpg" "%OutFile%"

del /Q "%TempFolder%\*.jpg"
rmdir "%TempFolder%"
